package main;
import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.transaction.UserTransaction;

import org.jboss.ejb.client.EJBClient;

import xpctest.Test1;
import xpctest.Test2;

public class Main {
	public static void main(String[] args) throws Exception
	{
		final Hashtable<String,Object> jndiProperties = new Hashtable<String,Object>();
		jndiProperties.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
		InitialContext ctx = new InitialContext(jndiProperties);
		Test1 bean1 = (Test1)ctx.lookup("ejb:xpc-wildfly/xpc-wildfly-beans//Test1Bean!xpctest.Test1?stateful");
	    Test2 bean2 = (Test2)ctx.lookup("ejb:xpc-wildfly/xpc-wildfly-beans//Test2Bean!xpctest.Test2?stateful");
	    ctx.close();

	    UserTransaction ut = EJBClient.getUserTransaction("xpctest");
		
	    ut.begin();
			
	    System.out.println(bean1.helloWorld("Andreas"));
	    System.out.println(bean2.helloWorld("Andreas"));
			
	    ut.rollback();
	}
}