package main;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.transaction.UserTransaction;

import xpctest.Test1;
import xpctest.Test2;

public class Main {
	public static void main(String[] args) throws Exception
	{
		Context ctx = new InitialContext();
        
        UserTransaction ut = (UserTransaction)ctx.lookup("UserTransaction");

		Test1 bean1 = (Test1)ctx.lookup("xpc-jbas51/Test1Bean/remote-xpctest.Test1");
	    Test2 bean2 = (Test2)ctx.lookup("xpc-jbas51/Test2Bean/remote-xpctest.Test2");
		
	    ut.begin();
			
	    System.out.println(bean1.helloWorld("Andreas"));
	    System.out.println(bean2.helloWorld("Andreas"));
			
	    ut.rollback();
	}
}